<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml"
>
<head>
    <title>Spring Security Login </title>
</head>
<body>
<div th:if="${param.error}">
    Invalid username and password.
</div>
<div th:if="${param.logout}">
    You have been logged out.
</div>
<div sec:authorize="isAuthenticated()">
    <a th:href="@{/logout}">Logout</a>
</div>
<div>
        <a href="/register">Register</a>
</div>
<form th:action="@{/login}" method="post">
    <div><label> User Name : <input type="text" name="username"/> </label></div>
    <div><label> Password: <input type="password" name="password"/> </label></div>
    <div><label> Remember me: <input type="checkbox" name="remember-me"/> </label></div>
    <div><input type="submit" value="Sign In"/></div>
</form>
</body>
</html>